#ifndef SRC_LWIP_SERVER_H_
#define SRC_LWIP_SERVER_H_

#include <stdio.h>
#include <string.h>
#include "xstatus.h"
#include "xgpiops.h"

#include "lwip/err.h"
#include "lwip/tcp.h"
#if defined (__arm__) || defined (__aarch64__)
#include "xil_printf.h"
#endif

#include "cal_meas.h"

int transfer_data();

void print_app_header();

int start_application();

err_t accept_callback(void *arg, struct tcp_pcb *newpcb, err_t err);

err_t recv_callback(void *arg, struct tcp_pcb *tpcb, struct pbuf *p, err_t err);

err_t accept_callback(void *arg, struct tcp_pcb *newpcb, err_t err);

#endif